org.keycloak.login

## Interface LoginFormsProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    FreeMarkerLoginFormsProvider

      public interface LoginFormsProvider
      extends Provider

  Author:
    Stian Thorgersen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `createCode()`
    `javax.ws.rs.core.Response` | `createErrorPage()`
    `javax.ws.rs.core.Response` | `createInfoPage()`
    `javax.ws.rs.core.Response` | `createLogin()`
    `javax.ws.rs.core.Response` | `createLoginTotp()`
    `javax.ws.rs.core.Response` | `createOAuthGrant(ClientSessionModel clientSessionModel)`
    `javax.ws.rs.core.Response` | `createPasswordReset()`
    `javax.ws.rs.core.Response` | `createRegistration()`
    `javax.ws.rs.core.Response` | `createResponse(UserModel.RequiredAction action)`
    `LoginFormsProvider` | `setAccessRequest(List<RoleModel> realmRolesRequested, javax.ws.rs.core.MultivaluedMap<String,RoleModel> resourceRolesRequested)`
    `LoginFormsProvider` | `setAccessRequest(String message)`
    `LoginFormsProvider` | `setActionUri(URI requestUri)`
    `LoginFormsProvider` | `setClient(ClientModel client)`
    `LoginFormsProvider` | `setClientSessionCode(String accessCode)`
    `LoginFormsProvider` | `setError(String message, Object... parameters)` Set one global error message.
    `LoginFormsProvider` | `setErrors(List<FormMessage> messages)` Set multiple error messages.
    `LoginFormsProvider` | `setFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `LoginFormsProvider` | `setHttpHeaders(javax.ws.rs.core.HttpHeaders httpHeaders)`
    `LoginFormsProvider` | `setQueryParams(javax.ws.rs.core.MultivaluedMap<String,String> queryParams)`
    `LoginFormsProvider` | `setRealm(RealmModel realm)`
    `LoginFormsProvider` | `setResponseHeader(String headerName, String headerValue)`
    `LoginFormsProvider` | `setStatus(javax.ws.rs.core.Response.Status status)`
    `LoginFormsProvider` | `setSuccess(String message, Object... parameters)`
    `LoginFormsProvider` | `setUriInfo(javax.ws.rs.core.UriInfo uriInfo)`
    `LoginFormsProvider` | `setUser(UserModel user)`
    `LoginFormsProvider` | `setWarning(String message, Object... parameters)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### setRealm

          LoginFormsProvider setRealm(RealmModel realm)

    - #### setUriInfo

          LoginFormsProvider setUriInfo(javax.ws.rs.core.UriInfo uriInfo)

    - #### setHttpHeaders

          LoginFormsProvider setHttpHeaders(javax.ws.rs.core.HttpHeaders httpHeaders)

    - #### createResponse

          javax.ws.rs.core.Response createResponse(UserModel.RequiredAction action)

    - #### createLogin

          javax.ws.rs.core.Response createLogin()

    - #### createPasswordReset

          javax.ws.rs.core.Response createPasswordReset()

    - #### createLoginTotp

          javax.ws.rs.core.Response createLoginTotp()

    - #### createRegistration

          javax.ws.rs.core.Response createRegistration()

    - #### createInfoPage

          javax.ws.rs.core.Response createInfoPage()

    - #### createErrorPage

          javax.ws.rs.core.Response createErrorPage()

    - #### createOAuthGrant

          javax.ws.rs.core.Response createOAuthGrant(ClientSessionModel clientSessionModel)

    - #### createCode

          javax.ws.rs.core.Response createCode()

    - #### setClientSessionCode

          LoginFormsProvider setClientSessionCode(String accessCode)

    - #### setAccessRequest

          LoginFormsProvider setAccessRequest(List<RoleModel> realmRolesRequested,
                                            javax.ws.rs.core.MultivaluedMap<String,RoleModel> resourceRolesRequested)

    - #### setAccessRequest

          LoginFormsProvider setAccessRequest(String message)

    - #### setError

          LoginFormsProvider setError(String message,
                                    Object... parameters)

      Set one global error message.
      Parameters:
        `message` - key of message
        `parameters` - to be formatted into message

    - #### setErrors

          LoginFormsProvider setErrors(List<FormMessage> messages)

      Set multiple error messages.
      Parameters:
        `messages` - to be set

    - #### setSuccess

          LoginFormsProvider setSuccess(String message,
                                      Object... parameters)

    - #### setWarning

          LoginFormsProvider setWarning(String message,
                                      Object... parameters)

    - #### setUser

          LoginFormsProvider setUser(UserModel user)

    - #### setClient

          LoginFormsProvider setClient(ClientModel client)

    - #### setQueryParams

          LoginFormsProvider setQueryParams(javax.ws.rs.core.MultivaluedMap<String,String> queryParams)

    - #### setResponseHeader

          LoginFormsProvider setResponseHeader(String headerName,
                                             String headerValue)

    - #### setFormData

          LoginFormsProvider setFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### setStatus

          LoginFormsProvider setStatus(javax.ws.rs.core.Response.Status status)

    - #### setActionUri

          LoginFormsProvider setActionUri(URI requestUri)

Copyright © 2015. All rights reserved.